org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTCapture

All Superinterfaces:
  IASTNameOwner, IASTNode, ICPPASTPackExpandable

All Known Subinterfaces:
  ICPPASTInitCapture

    public interface ICPPASTCapture
    extends IASTNode, ICPPASTPackExpandable, IASTNameOwner

Capture for a lambda expression, introduced in C++0x.

Since:
  5.3

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `IDENTIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `capturesThisPointer()` Returns whether this capture is for the this pointer.
`ICPPASTCapture` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTCapture` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTName` `getIdentifier()` Returns the identifier for this capture or `null`, when `this`is captured.``
`boolean` `isByReference()` Returns whether the capture uses a leading ampersand.
`void` `setIdentifier(IASTName identifier)` Not allowed on frozen AST.
`void` `setIsByReference(boolean value)` Not allowed on frozen AST.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTPackExpandable

`isPackExpansion, setIsPackExpansion`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Field Detail

#### IDENTIFIER

    static final ASTNodeProperty IDENTIFIER

### Method Detail

#### copy

    ICPPASTCapture copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`

#### copy

    ICPPASTCapture copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.

#### isByReference

    boolean isByReference()

Returns whether the capture uses a leading ampersand.

#### capturesThisPointer

    boolean capturesThisPointer()

Returns whether this capture is for the this pointer.

#### getIdentifier

    IASTName getIdentifier()

Returns the identifier for this capture or `null`, when `this`is captured.``

#### setIsByReference

    void setIsByReference(boolean value)

Not allowed on frozen AST.

See Also:
  `isByReference()`

#### setIdentifier

    void setIdentifier(IASTName identifier)

Not allowed on frozen AST. Providing a `null` identifier indicates that this capture is for the this pointer.

See Also:
  `getIdentifier()`